MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025301Open CASCADE[OCCT] OCCT:Visualizationpublic2014-09-30 21:532014-11-12 08:58
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAndroidOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025301: Visualization, TKOpenGl - transpose matrix manually before glUniformMatrix4fv()
DescriptionglUniformMatrix4fv() does not support transposing flag within OpenGL ES 2.0 - this option works only within OpenGL ES 3.0+.
There is no such limitation on desktop OpenGL.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025282closedbugmaster Visualization, OpenGl_PrimitiveArray - provide built-in GLSL programs as alternative to FFP 
child of 0025146closedbugmaster Porting to Android 
child of 0024381closedbugmaster Visualization, TKOpenGl - revise matrices stack and usage of temporary matrices 

-  Notes
(0032483)
git (administrator)
2014-09-30 21:58

Branch CR25301 has been created by kgv.

SHA-1: cc9c03dcc3b6259fa681542d4f6d804f9adb5110


Detailed log of new commits:

Author: kgv
Date: Tue Sep 30 21:57:54 2014 +0300

    0025301: Visualization, TKOpenGl - transpose matrix manually before glUniformMatrix4fv()
    
    OpenGl_ShaderProgram::SetUniform() - transpose matrix by OpenGl_Transposemat3() when needed.
    OpenGl_Workspace - do not call glEnable()/glDisable() with GL_TEXTURE_2D on OpenGL ES 2.0+.
(0032986)
git (administrator)
2014-10-10 17:42

Branch CR25301_1 has been created by dbp.

SHA-1: 5115ddba48afe532e1ad728d142da4cc76a87905


Detailed log of new commits:

Author: dbp
Date: Fri Oct 10 17:42:16 2014 +0400

    0025301: Visualization, TKOpenGl - transpose matrix manually before glUniformMatrix4fv()
(0032987)
dbp (developer)
2014-10-10 17:52

Dear kgv,

please review the patch in branch CR25301_1.
(0033000)
kgv (developer)
2014-10-13 09:51

Please test the patch in branch CR25301_1.
(0033054)
git (administrator)
2014-10-14 08:58

Branch CR25301_1 has been updated forcibly by mkv.

SHA-1: 6cf17c7c9e0424ebce068846d749598e2bd7644f
(0033110)
mkv (tester)
2014-10-15 11:46

Dear BugMaster,
Branch CR25301_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 6cf17c7c9e0424ebce068846d749598e2bd7644f

Number of compiler warnings:

occt component :
Linux: 18 (15 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

There are new additional compilation warnings on Linux platform:
http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/job/mnt-CR25301_1-master_build_occt_linux/1/warnings16Result/package.-133837126/ [^]
OpenGl_SceneGeometry.cxx:161, GNU C Compiler 4 (gcc), Priority: Normal
dereferencing type-punned pointer will break strict-aliasing rules

http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/job/mnt-CR25301_1-master_build_occt_linux/1/warnings16Result/package.-671474530/file.-1767425955/ [^]
NCollection_Vec3.hxx:242, GNU C Compiler 4 (gcc), Priority: Normal
dereferencing pointer ‘aCorner.858’ does break strict-aliasing rules
NCollection_Vec3.hxx:250, GNU C Compiler 4 (gcc), Priority: Normal
dereferencing pointer ‘aCorner.858’ does break strict-aliasing rules

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 370342668 / 370340240
Total CPU difference: 46902.58000000015 / 47188.27999999984
products component :
Total MEMORY difference: 120385764 / 120831464
Total CPU difference: 17073.609999999964 / 17508.95999999998

Testing on Windows:
occt component :
Total MEMORY difference: 272565120 / 272331864
Total CPU difference: 41752.28125 / 32951.3125
products component :
Total MEMORY difference: 71109660 / 70036372
Total CPU difference: 12687.890625 / 11148.125

There are no differences in images found by testdiff.
http://occt-tests/CR25301-1-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR25301-1-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
IMAGE demo samples dimensions: dimensions.png differs
IMAGE bugs vis bug5988: bug5988_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug23747_1: bug23747_1_with_envmap.png differs
IMAGE bugs vis bug23747_1: bug23747_1_after_envmap.png differs
(0033717)
dbp (developer)
2014-10-27 12:07

Dear kgv,

patch was implemented as part of 0024381.
(0034256)
git (administrator)
2014-11-12 08:58

Branch CR25301 has been deleted by kgv.

SHA-1: cc9c03dcc3b6259fa681542d4f6d804f9adb5110
(0034257)
git (administrator)
2014-11-12 08:58

Branch CR25301_1 has been deleted by kgv.

SHA-1: 6cf17c7c9e0424ebce068846d749598e2bd7644f

- Issue History
Date Modified Username Field Change
2014-09-30 21:53 kgv New Issue
2014-09-30 21:53 kgv Assigned To => kgv
2014-09-30 21:54 kgv Relationship added child of 0025146
2014-09-30 21:54 kgv Relationship added related to 0025282
2014-09-30 21:58 git Note Added: 0032483
2014-10-06 11:23 kgv Assigned To kgv => dbp
2014-10-06 11:23 kgv Status new => assigned
2014-10-10 17:42 git Note Added: 0032986
2014-10-10 17:52 dbp Note Added: 0032987
2014-10-10 17:52 dbp Assigned To dbp => kgv
2014-10-10 17:52 dbp Status assigned => resolved
2014-10-13 09:51 kgv Note Added: 0033000
2014-10-13 09:51 kgv Assigned To kgv => bugmaster
2014-10-13 09:51 kgv Status resolved => reviewed
2014-10-13 21:29 mkv Assigned To bugmaster => mkv
2014-10-14 08:58 git Note Added: 0033054
2014-10-15 11:46 mkv Note Added: 0033110
2014-10-15 11:46 mkv Assigned To mkv => dbp
2014-10-15 11:46 mkv Status reviewed => assigned
2014-10-15 11:47 mkv Test case number => Not needed
2014-10-27 12:07 dbp Relationship added child of 0024381
2014-10-27 12:07 dbp Note Added: 0033717
2014-10-27 12:07 dbp Assigned To dbp => kgv
2014-10-27 12:07 dbp Status assigned => resolved
2014-11-06 17:15 bugmaster Assigned To kgv => bugmaster
2014-11-06 17:15 bugmaster Status resolved => reviewed
2014-11-06 17:15 bugmaster Status reviewed => verified
2014-11-06 17:15 bugmaster Resolution open => fixed
2014-11-11 12:42 aiv Fixed in Version => 6.8.0
2014-11-11 13:03 aiv Status verified => closed
2014-11-12 08:58 git Note Added: 0034256
2014-11-12 08:58 git Note Added: 0034257


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker